package edu.cmu.cs.l3.absyn;

import edu.cmu.cs.l3.symbol.Symbol;

public class ASPrimitiveType extends ASType {

    public ASPrimitiveType(int p, Symbol name, int size) {
	super(p); m_name = name; m_size = size;

	m_typename = name.toString();
	m_classname = "ASPrimitiveType";
    }

    public Symbol getName() {
	return m_name;
    }

    public int getSize() {
	return m_size;
    }

    public String toString() {
	return m_name.toString();
    }

    private Symbol m_name;
    private int m_size;
}